<?php

class WolkLicenseAuth{

    protected $authDomain = "https://wpvalidations.azurewebsites.net/APIenpointWPWolkPay.svc/WPValidateUrl";
    protected $license_key = "";
    protected $customer_email = "";
    protected $customer_domail = "";
    
    public function __construct(){
        $urlparts = wp_parse_url(home_url());
        $domain = $urlparts['host'];
        $domain = str_replace('www.','',$domain);
        if(isset($_GET['unverify'])){
            $domain = 'localhost';
        }
        $this->customer_domail =  $domain;
        
    }


    public function VerifyLicense(){
        
        $request = wp_remote_get( $this->authDomain,[
            'method' => 'GET',
            'body' => array(
                'URL_Cliente' => 'WP-PAYW-'.$this->customer_domail
            )
        ]);
        $body = wp_remote_retrieve_body( $request );
		
        $data = json_decode( $body , true );
        if($this->customer_domail == "localhost"){
            $data['status'] = 400;
            return $data;
        }
        if(!empty($data)){
            $data = $data[0];
            $active = $data['Activo'];
            
            if($active == 1){
                //$data = date();
                $current_date = strtotime(gmdate('Y-m-d'));
                
                $expiry_date = strtotime($data[' Fin Contrato']);
                
                if($expiry_date < $current_date){
                    $data['status'] = 400;
                    return $data;
                }else{
                    $data['status'] = 200;
                    return $data;
                }
                
            }else{
                $data['status'] = 400;
                return $data;
            }
        }else{
            $data['status'] = 400;
            return $data;
        }
    }

    public function setRegisterData($key, $email){
        $this->license_key = $key;
        $this->customer_email = $email;
    }

    public function setVerifyData($key, $email){
        $this->license_key = $key;
        $this->customer_email = $email;
    }
    public function registerLicenseKey(){
        if(!$this->license_key){
            return [
                'status' => 400,
                'msg' => 'Invalid license.'
            ];
        }else{
            return [
                'status' => 200,  
                'msg' => 'Invalid activated.'
            ];
        }
    }
}
?>